# OpenML dataset: vehicle_reproduced

https://www.openml.org/d/44153

## Structure

The dataset has the following file structure:

* `dataset/`
  * `tables/`
    * [`data.pq`](./dataset/tables/data.pq): Parquet file with data
  * [`metadata.json`](./dataset/metadata.json): OpenML description of the dataset
  * [`features.json`](./dataset/features.json): OpenML description of table columns
  * [`qualities.json`](./dataset/qualities.json): OpenML qualities (meta-features)

## Description

**Author**: Dr. Pete Mowforth and Dr. Barry Shepherd  

**Source**: [UCI](https://archive.ics.uci.edu/ml/datasets/Statlog+(Vehicle+Silhouettes))

**Please cite**: Siebert,JP. Turing Institute Research Memorandum TIRM-87-018 "Vehicle Recognition Using Rule Based Methods" (March 1987)  



 NAME

         vehicle silhouettes

 

 PURPOSE

         to classify a given silhouette as one of four types of vehicle,

         using  a set of features extracted from the silhouette. The

         vehicle may be viewed from one of many different angles.  

 

 PROBLEM TYPE

         classification

         

 SOURCE

         Drs.Pete Mowforth and Barry Shepherd

         Turing Institute

         George House

         36 North Hanover St.

         Glasgow

         G1 2AD

 

 CONTACT

         Alistair Sutherland

         Statistics Dept.

         Strathclyde University

         Livingstone Tower

         26 Richmond St.

         GLASGOW G1 1XH

         Great Britain

         

         Tel: 041 552 4400 x3033

         

         Fax: 041 552 4711 

         

         e-mail: alistair@uk.ac.strathclyde.stams

 

 HISTORY

         This data was originally gathered at the TI in 1986-87 by

         JP Siebert. It was partially financed by Barr and Stroud Ltd.

         The original purpose was to find a method of distinguishing

         3D objects within a 2D image by application of an ensemble of

         shape feature extractors to the 2D silhouettes of the objects.

         Measures of shape features extracted from example silhouettes

         of objects to be discriminated were used to generate a class-

         ification rule tree by means of computer induction.

          This object recognition strategy was successfully used to 

         discriminate between silhouettes of model cars, vans and buses

         viewed from constrained elevation but all angles of rotation.

          The rule tree classification performance compared favourably

         to MDC (Minimum Distance Classifier) and k-NN (k-Nearest Neigh-

         bour) statistical classifiers in terms of both error rate and

         computational efficiency. An investigation of these rule trees

         generated by example indicated that the tree structure was 

         heavily influenced by the orientation of the objects, and grouped

         similar object views into single decisions.

 

 DESCRIPTION

          The features were extracted from the silhouettes by the HIPS

         (Hierarchical Image Processing System) extension BINATTS, which 

         extracts a combination of scale independent features utilising

         both classical moments based measures such as scaled variance,

         skewness and kurtosis about the major/minor axes and heuristic

         measures such as hollows, circularity, rectangularity and

         compactness.

          Four "Corgie" model vehicles were used for the experiment:

         a double decker bus, Cheverolet van, Saab 9000 and an Opel Manta 400.

         This particular combination of vehicles was chosen with the 

         expectation that the bus, van and either one of the cars would

         be readily distinguishable, but it would be more difficult to

         distinguish between the cars.

          The images were acquired by a camera looking downwards at the

         model vehicle from a fixed angle of elevation (34.2 degrees

         to the horizontal). The vehicles were placed on a diffuse

         backlit surface (lightbox). The vehicles were painted matte black

         to minimise highlights. The images were captured using a CRS4000

         framestore connected to a vax 750. All images were captured with

         a spatial resolution of 128x128 pixels quantised to 64 greylevels.

         These images were thresholded to produce binary vehicle silhouettes,

         negated (to comply with the processing requirements of BINATTS) and

         thereafter subjected to shrink-expand-expand-shrink HIPS modules to

         remove "salt and pepper" image noise.

          The vehicles were rotated and their angle of orientation was measured

         using a radial graticule beneath the vehicle. 0 and 180 degrees

         corresponded to "head on" and "rear" views respectively while 90 and

         270 corresponded to profiles in opposite directions. Two sets of

         60 images, each set covering a full 360 degree rotation, were captured

         for each vehicle. The vehicle was rotated by a fixed angle between 

         images. These datasets are known as e2 and e3 respectively.

          A further two sets of images, e4 and e5, were captured with the camera 

         at elevations of 37.5 degs and 30.8 degs respectively. These sets

         also contain 60 images per vehicle apart from e4.van which contains

         only 46 owing to the difficulty of containing the van in the image

         at some orientations.

 

 ATTRIBUTES

         

         COMPACTNESS     (average perim)**2/area

         

         CIRCULARITY     (average radius)**2/area

         

         DISTANCE CIRCULARITY    area/(av.distance from border)**2

         

         RADIUS RATIO    (max.rad-min.rad)/av.radius

         

         PR.AXIS ASPECT RATIO    (minor axis)/(major axis)

         

         MAX.LENGTH ASPECT RATIO (length perp. max length)/(max length)

         

         SCATTER RATIO   (inertia about minor axis)/(inertia about major axis)

         

         ELONGATEDNESS           area/(shrink width)**2

         

         PR.AXIS RECTANGULARITY  area/(pr.axis length*pr.axis width)

         

         MAX.LENGTH RECTANGULARITY area/(max.length*length perp. to this)

         

         SCALED VARIANCE         (2nd order moment about minor axis)/area

         ALONG MAJOR AXIS

         

         SCALED VARIANCE         (2nd order moment about major axis)/area

         ALONG MINOR AXIS 

         

         SCALED RADIUS OF GYRATION       (mavar+mivar)/area

         

         SKEWNESS ABOUT  (3rd order moment about major axis)/sigma_min**3

         MAJOR AXIS

         

         SKEWNESS ABOUT  (3rd order moment about minor axis)/sigma_maj**3

         MINOR AXIS

                 

         KURTOSIS ABOUT  (4th order moment about major axis)/sigma_min**4

         MINOR AXIS  

                 

         KURTOSIS ABOUT  (4th order moment about minor axis)/sigma_maj**4

         MAJOR AXIS

         

         HOLLOWS RATIO   (area of hollows)/(area of bounding polygon)

         

          Where sigma_maj**2 is the variance along the major axis and

         sigma_min**2 is the variance along the minor axis, and

         

         area of hollows= area of bounding poly-area of object 

         

          The area of the bounding polygon is found as a side result of

         the computation to find the maximum length. Each individual

         length computation yields a pair of calipers to the object

         orientated at every 5 degrees. The object is propagated into

         an image containing the union of these calipers to obtain an

         image of the bounding polygon. 

         

 NUMBER OF CLASSES

 

         4       OPEL, SAAB, BUS, VAN

 

 NUMBER OF EXAMPLES

 

                 Total no. = 946

                 

                 No. in each class

                 

                   opel 240

                   saab 240

                   bus  240

                   van  226

                 

                 

                 100 examples are being kept by Strathclyde for validation.

                 So StatLog partners will receive 846 examples.

 

 NUMBER OF ATTRIBUTES

 

                 No. of atts. = 18

 From OpenML: https://www.openml.org/d/54

## Contributing

This is a [read-only mirror](https://gitlab.com/data/d/openml/44153) of an [OpenML dataset](https://www.openml.org/d/44153). Contribute any changes to the dataset there. Alternatively, [fork the dataset](https://gitlab.com/data/d/openml/44153/-/forks/new) or [find an existing fork](https://gitlab.com/data/d/openml/44153/-/forks) to contribute to.

You can use [issues](https://gitlab.com/data/d/openml/44153/-/issues) to discuss the dataset and any issues.

For more information see [https://datagit.org/](https://datagit.org/).

